[pkg-dhcp-commits] [SCM] ISC DHCP packaging for Debian branch, master, updated. upstream/4.1.1-84-g69bec59

Andrew Pollock apollock at debian.org
Sun Aug 29 04:18:39 UTC 2010


The following commit has been merged in the master branch:
commit 69bec595c1a7f306fe8e7d86d3af3543085c9e6d
Author: Andrew Pollock <apollock at debian.org>
Date:   Sat Aug 28 21:09:51 2010 -0700

    Remove obsolete init scripts left behind
    
    The dummy transitional packages leave the old init scripts lying around,
    which apparently breaks dependency-based booting, so reinstate postinst for
    dhcp3-server and dhcp3-relay, to remove the old init scripts
    
    Bug #594527

diff --git a/debian/changelog b/debian/changelog
index e50be04..6df77f6 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,8 +7,11 @@ isc-dhcp (4.1.1-P1-10) UNRELEASED; urgency=low
   * Updated Galacian debconf template translation (closes: #592810)
   * Updated Czech debconf template translation (closes: #593228)
   * Updated Italian debconf template translation (closes: #593576)
+  * debian/dhcp3-server.postinst: reinstate, remove obsolete init script
+    (closes: #594527)
+  * debian/dhcp3-relay.postinst: reinstate, remove obsolete init script
 
- -- Andrew Pollock <apollock at debian.org>  Sat, 28 Aug 2010 19:41:22 -0700
+ -- Andrew Pollock <apollock at debian.org>  Sat, 28 Aug 2010 21:09:11 -0700
 
 isc-dhcp (4.1.1-P1-9) unstable; urgency=high
 
diff --git a/debian/dhcp3-relay.postinst b/debian/dhcp3-relay.postinst
new file mode 100644
index 0000000..755d833
--- /dev/null
+++ b/debian/dhcp3-relay.postinst
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postinst script for dhcp3-relay
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+
+	# Preemptively remove obsolete dhcp3-relay init script (see #594527)
+	rm -f /etc/init.d/dhcp3-relay
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/dhcp3-server.postinst b/debian/dhcp3-server.postinst
new file mode 100644
index 0000000..5eb8f1b
--- /dev/null
+++ b/debian/dhcp3-server.postinst
@@ -0,0 +1,44 @@
+#!/bin/sh
+# postinst script for dhcp3-server
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+
+	# Remove the old init script if it's lying around
+	# see bug #594527
+
+	rm -f /etc/init.d/dhcp3-server
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0

-- 
ISC DHCP packaging for Debian



More information about the pkg-dhcp-commits mailing list